package model

import (
	"encoding/json"

	util "git.loafle.net/overflow/overflow_commons_go/util"
)

type Service struct {
	ID          json.Number    `json:"id,Number,omitempty"`
	Port        *Port          `json:"port,omitempty"`
	PortType    string         `json:"portType,omitempty"`
	ServiceName string         `json:"serviceName,omitempty"`
	UpdateDate  util.Timestamp `json:"updateDate,omitempty"`
	Target      bool           `json:"target,omitempty"`
}
