package model

import (
	"encoding/json"

	meta "git.loafle.net/overflow/overflow_commons_go/modules/meta/model"
	target "git.loafle.net/overflow/overflow_commons_go/modules/target/model"
	util "git.loafle.net/overflow/overflow_commons_go/util"
)

type AuthCrawler struct {
	ID         json.Number       `json:"id,Number,omitempty"`
	Crawler    *meta.MetaCrawler `json:"crawler,omitempty"`
	Target     *target.Target    `json:"target,omitempty"`
	AuthJSON   string            `json:"authJson,omitempty"`
	CreateDate util.Timestamp    `json:"createDate,omitempty"`
}
