package model

import (
	"encoding/json"

	"git.loafle.net/overflow/overflow_commons_go/util"
)

type Host struct {
	Zone *Zone `json:"zone"`

	ID  json.Number `json:"id,Number,omitempty"`
	IP  string      `json:"ip,omitempty"`
	Mac string      `json:"mac,omitempty"`
	OS  string      `json:"os,omitempty"`

	DiscoveredDate util.Timestamp `json:"discoveredDate,omitempty"`
}
