package model

import (
	"encoding/json"
	"sync"

	"git.loafle.net/overflow/overflow_commons_go/util"
)

type Zone struct {
	ID      json.Number `json:"id,Number,omitempty"`
	Network string      `json:"network,omitempty"`
	IP      string      `json:"ip,omitempty"`
	Iface   string      `json:"iface,omitempty"`
	Mac     string      `json:"mac,omitempty"`

	DiscoveredDate util.Timestamp `json:"discoveredDate,omitempty"`

	mtx sync.RWMutex `json:"-"`
}
