package model

import (
	"encoding/json"

	meta "git.loafle.net/overflow/overflow_commons_go/modules/meta/model"
	util "git.loafle.net/overflow/overflow_commons_go/util"
)

type InfraOSPort struct {
	Infra
	InfraOS         *InfraOS              `json:"os,omitempty"`
	CreateDate      util.Timestamp        `json:"createDate,omitempty"`
	Port            json.Number           `json:"port,omitempty"`
	PortType        string                `json:"portType,omitempty"`
	MetaInfraVendor *meta.MetaInfraVendor `json:"vendor,omitempty"`
	TLSType         bool                  `json:"tlsType,omitempty"`
}
