package model

import (
	"encoding/json"

	meta "git.loafle.net/overflow/overflow_commons_go/modules/meta/model"
	target "git.loafle.net/overflow/overflow_commons_go/modules/target/model"
	util "git.loafle.net/overflow/overflow_commons_go/util"
)

type Sensor struct {
	ID                json.Number            `json:"id,Number,omitempty"`
	CreateDate        util.Timestamp         `json:"createDate,omitempty"`
	Description       string                 `json:"description,omitempty"`
	MetaSensorStatus  *meta.MetaSensorStatus `json:"status,omitempty"`
	Target            *target.Target         `json:"target,omitempty"`
	Crawler           *meta.MetaCrawler      `json:"crawler,omitempty"`
	CrawlerInputItems string                 `json:"crawlerInputItems,omitempty"`
}
