package model

import (
	"encoding/json"

	member "git.loafle.net/overflow/overflow_commons_go/modules/member/model"
	util "git.loafle.net/overflow/overflow_commons_go/util"
)

type EmailAuth struct {
	ID              json.Number    `json:"id,Number,omitempty"`
	EmailAuthKey    string         `json:"emailAuthKey,omitempty"`
	CreateDate      util.Timestamp `json:"createDate,omitempty"`
	AuthConfirmDate util.Timestamp `json:"authConfirmDate,omitempty"`
	Member          *member.Member `json:"member,omitempty"`
}
