package model

import (
	"encoding/json"

	meta "git.loafle.net/overflow/overflow_commons_go/modules/meta/model"
	probe "git.loafle.net/overflow/overflow_commons_go/modules/probe/model"
	target "git.loafle.net/overflow/overflow_commons_go/modules/target/model"
	util "git.loafle.net/overflow/overflow_commons_go/util"
)

type Infra struct {
	ID            json.Number         `json:"id,Number,omitempty"`
	MetaInfraType *meta.MetaInfraType `json:"type,omitempty"`
	CreateDate    util.Timestamp      `json:"createDate,omitempty"`
	Probe         *probe.Probe        `json:"probe,omitempty"`
	Target        *target.Target      `json:"target,omitempty"`
}
